### Function

# GdkPixbuf PixbufModuleBeginLoadFunc

#### Declaration

    gpointer
    (* GdkPixbufModuleBeginLoadFunc) (
      GdkPixbufModuleSizeFunc size_func,
      GdkPixbufModulePreparedFunc prepared_func,
      GdkPixbufModuleUpdatedFunc updated_func,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Sets up the image loading state.

The image loader is responsible for storing the given function pointers and user data, and call them when needed.

The image loader should set up an internal state object, and return it from this function; the state object will then be updated from the `GdkPixbufModuleIncrementLoadFunc` callback, and will be freed by `GdkPixbufModuleStopLoadFunc` callback.

This function is not directly available to language bindings.

#### Parameters

`size_func`

  Type: `GdkPixbufModuleSizeFunc`

  The function to be called when the size is known.

`prepared_func`

  Type: `GdkPixbufModulePreparedFunc`

  The function to be called when the data has been prepared.

`updated_func`

  Type: `GdkPixbufModuleUpdatedFunc`

  The function to be called when the data has been updated.

`user_data`

  Type: `gpointer`

  The data to be passed to the functions.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gpointer`

The data to be passed to `GdkPixbufModuleIncrementLoadFunc` and `GdkPixbufModuleStopLoadFunc`, or `NULL` in case of error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.